Get project discussion comment list
GET/api/v5/repos/:owner/:repo/discuss/:number/comment
Request
Path Parameters
owner stringrequired
Repository space address (address path of the enterprise, organization, or individual)
repo stringrequired
Repository path (path)
number stringrequired
Query Parameters
access_token string
User authorization code
page string
The current page number
per_page string
The number of items per page, with a maximum of 100. The default is 20.
order string
Sort by creation time in ascending order (time_asc); sort by creation time in descending order (time_desc), sort by hot value in descending order (hot_desc)
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
Schema
- Array [
- ]
idstring
created_atstring
author object
avatar_urlstringrequired
idstringrequired
object_idstringrequired
loginstringrequired
namestringrequired
contentstring
md_contentstring
is_hideinteger
reply_totalinteger
like_totalinteger
is_likeboolean
is_deletedinteger
is_remarkinteger
[
{
"id": "string",
"created_at": "string",
"author": {
"avatar_url": "string",
"id": "string",
"object_id": "string",
"login": "string",
"name": "string"
},
"content": "string",
"md_content": "string",
"is_hide": 0,
"reply_total": 0,
"like_total": 0,
"is_like": true,
"is_deleted": 0,
"is_remark": 0
}
]